Charles Sharman <charles.sharman@...> writes:

   Hi, Charles!

> 
> Hi Dalton,
> 
> Does python tell you which line it doesn't like?
> 
> From the TypeError, it seems like it would be this line:
> 
> steptopo = TopoDS_Face(BRepBuilderAPI_MakeFace(stepnurbs.GetHandle(), 1e-
> 6).Shape())
> 

   Well, I did what you said, except the command TopoDS_Face, as below

   stepnurbs = Geom_BSplineSurface(stepptosctrl, steppesos, stepuknots, 
stepvknots, stepumults, stepvmults, k-1, l-1, 0, 0)
   stepnurbs = BRepBuilderAPI_MakeFace(stepnurbs.GetHandle(), 1e-6).Shape()
   stepwriter = STEPControl_Writer()
   stepwriter.Transfer(stepnurbs, STEPControl_AsIs)
   stepwriter.Write(arquivosaida)

and it worked. The STEP file was written, I opened it on IDA Step and 
Rhinoceros and they read the file correctly. So my last question is: 
omitting the TopoDS_Face command "harm" my code in any way?

   Dalton




> If so, try breaking the line into parts:
> 
> brep = BRepBuilderAPI_MakeFace(stepnurbs.GetHandle(), 1e-6).Shape()
> steptopo = TopoDS_Face(brep)
> 
> I would imagine the error would then be on the second of these lines.  If 
so, 
> try displaying brep with the simpleGUI to make sure it looks like a face 
(a 
> surface bounded by a wire).  If the display doesn't look right, there's 
> something wrong with your surface.
> 
> Let me know what you find, and we'll go from there.
> 
> - Charles
> 
> 





_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to